import 'dart:convert';

class CreateRookUserSvModel {
  final String sourceOfData;
  final String userID;

  const CreateRookUserSvModel({
    required this.sourceOfData,
    required this.userID,
  });

  String toJson() {
    final map = {
      'sources_of_data': sourceOfData,
      'user_id': userID,
    };

    return jsonEncode(map);
  }

  @override
  bool operator ==(Object other) =>
      identical(this, other) ||
      other is CreateRookUserSvModel &&
          runtimeType == other.runtimeType &&
          sourceOfData == other.sourceOfData &&
          userID == other.userID;

  @override
  int get hashCode => sourceOfData.hashCode ^ userID.hashCode;

  @override
  String toString() {
    return 'RegisterRookUserRequest{sourceOfData: $sourceOfData, userID: $userID}';
  }
}
