import 'package:logging/logging.dart';
import 'package:rook_users/src/datasource/data_source.dart';
import 'package:rook_users/src/datasource/status/data_source_status_api_service.dart';
import 'package:rook_users/src/datasource/status/data_source_status_sv_model.dart';

class DataSourceStatus {
  final Logger _logger = Logger('DataSourceStatus');

  late DataSourceStatusApiService _dataSourceStatusApiService;

  DataSourceStatus(String baseUrl, String authorization) {
    _dataSourceStatusApiService = DataSourceStatusApiService(
      baseUrl: baseUrl,
      authorization: authorization,
    );
  }

  void changeStatus(String userID, DataSource dataSource, bool active) {
    Future(() async {
      await _dataSourceStatusApiService.changeStatus(
        userID,
        DataSourceStatusSvModel(
            sourceOfData: dataSource.identifier, status: active),
      );
    }).then((_) {}).catchError((exception) {
      _logger.warning('Update status failed with error: $exception');
    });
  }
}
