import 'package:flutter_test/flutter_test.dart';
import 'package:rook_users/src/datasource/data_source.dart';
import 'package:rook_users/src/domain/enums/user_type.dart';

void main() {
  group('getDataSourceFromUserType', () {
    test(
        'GIVEN UserType.healthConnect WHEN getDataSourceFromUserType THEN return DataSource.healthConnect',
        () {
      const userType = UserType.healthConnect;

      final result = getDataSourceFromUserType(userType);

      expect(result, DataSource.healthConnect);
    });

    test(
        'GIVEN UserType.appleHealth WHEN getDataSourceFromUserType THEN return DataSource.appleHealth',
        () {
      const userType = UserType.appleHealth;

      final result = getDataSourceFromUserType(userType);

      expect(result, DataSource.appleHealth);
    });
  });
}
