import 'package:flutter_test/flutter_test.dart';
import 'package:rook_users/src/domain/environment/get_api_url_from_environment.dart';
import 'package:rook_users/src/domain/environment/rook_users_environment.dart';

void main() {
  group('getApiUrlFromEnvironment', () {
    test(
        'GIVEN forceDevelop equal to true WHEN getApiUrlFromEnvironment THEN return dev url',
        () {
      const rookUsersEnvironment = RookUsersEnvironment.sandbox;

      final result =
          getApiUrlFromEnvironment(rookUsersEnvironment, forceDevelop: true)
              .split('.')
              .lastOrNull;

      expect(result, 'dev');
    });

    test(
        'GIVEN RookUsersEnvironment_sandbox WHEN getApiUrlFromEnvironment THEN return review url',
        () {
      const rookUsersEnvironment = RookUsersEnvironment.sandbox;

      final result =
          getApiUrlFromEnvironment(rookUsersEnvironment, forceDevelop: false)
              .split('.')
              .lastOrNull;

      expect(result, 'review');
    });

    test(
        'GIVEN RookUsersEnvironment_production WHEN getApiUrlFromEnvironment THEN return com url',
        () {
      const rookUsersEnvironment = RookUsersEnvironment.production;

      final result =
          getApiUrlFromEnvironment(rookUsersEnvironment, forceDevelop: false)
              .split('.')
              .lastOrNull;

      expect(result, 'com');
    });
  });
}
